Subject: Re: [PATCH] Revert "Stop starting pager recursively"

From: Junio C Hamano <[email-masked]>
Date: Mon, 28 Apr 2014 16:04:28 -0700

Jörn Engel <[email-masked]> writes:

> On Mon, 28 April 2014 10:14:05 -0700, Junio C Hamano wrote:
>> Matthieu Moy <[email-masked]> writes:
>> 
>> > ----- Original Message -----
>> >> On Sun, Apr 27, 2014 at 09:12:39AM +0700, Duy Nguyen wrote:
>> >> 
>> >> > The intent of the commit was "that is a stupid thing to do, but it's
>> >> > not so obvious from the first glance, do not freeze my system for my
>> >> > mistake". But if it stops an actual use case, then I agree it should
>> >> > be reverted.
>> >> 
>> >> Thanks for the explanation. I think we should just go with Jörn's patch
>> >> as-is, then.
>> >
>> > Agreed. At best, the commit message could be improved to explain the
>> > situation, but the patch itself is OK.
>> 
>> True and I agree.
>> 
>> The patch needs sign-off, though (I am looking at $gmane/246644).
>
> Signed-off-by: Joern Engel <[email-masked]>
>
> Or do you want me to resend with sob?

Just the Sign-off is trivial enough that even this brainless
patch-monkey^Wpanda should be able to handle.  The part "The log
message could be improved" is something you may be better equipped
to, though.

I'll tentatively queue this; if you or anybody in the thread can
proofread it to typofix it or give me a better phrasing, that would
be very much appreciated.

Thanks.

-- >8 --
From: Jörn Engel <[email-masked]>
Date: Mon, 21 Apr 2014 16:46:22 -0400
Subject: [PATCH] pager: do allow spawning pager recursively

This reverts commit 88e8f908f2b0c56f9ccf8134d8ff9f689af9cc84, which
tried to allow

    GIT_PAGER="git -p column --mode='dense color'" git -p branch

and still wanted to avoid "git -p column" to invoke itself.  However,
this falls into "don't do that -p then" category.

In particular, inside "git log", with results going through less, a
potentially interesting commit may be found and from there inside
"less", the user may want to execute "git show <commit>".  Before
the commit being reverted, this used to show the patch in less but
it no longer does.

Signed-off-by: Jörn Engel <[email-masked]>
Reviewed-by: Jeff King <[email-masked]>
Reviewed-by: Matthieu Moy <[email-masked]>
Acked-by: Duy Nguyen <[email-masked]>
Signed-off-by: Junio C Hamano <[email-masked]>
---
 pager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/pager.c b/pager.c
index 0cc75a8..53670a6 100644
--- a/pager.c
+++ b/pager.c
@@ -64,7 +64,7 @@ void setup_pager(void)
 {
 	const char *pager = git_pager(isatty(1));
 
-	if (!pager || pager_in_use())
+	if (!pager)
 		return;
 
 	/*
-- 
2.0.0-rc1-219-gf8dda7a